AuthRolesResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class AuthRolesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.AuthRolesResourceApi

-     public class AuthRolesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthRolesResourceApi()`
    `AuthRolesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAuthRoleList` | `createAuthRoles(ApiAuthRoleList body)` Creates a list of auth roles.
    `com.squareup.okhttp.Call` | `createAuthRolesAsync(ApiAuthRoleList body, ApiCallback<ApiAuthRoleList> callback)` Creates a list of auth roles.
    `com.squareup.okhttp.Call` | `createAuthRolesCall(ApiAuthRoleList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createAuthRoles
    `ApiResponse<ApiAuthRoleList>` | `createAuthRolesWithHttpInfo(ApiAuthRoleList body)` Creates a list of auth roles.
    `ApiAuthRole` | `deleteAuthRole(String uuid)` Deletes an auth role from the system.
    `com.squareup.okhttp.Call` | `deleteAuthRoleAsync(String uuid, ApiCallback<ApiAuthRole> callback)` Deletes an auth role from the system.
    `com.squareup.okhttp.Call` | `deleteAuthRoleCall(String uuid, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteAuthRole
    `ApiResponse<ApiAuthRole>` | `deleteAuthRoleWithHttpInfo(String uuid)` Deletes an auth role from the system.
    `ApiClient` | `getApiClient()`
    `ApiAuthRole` | `readAuthRole(String uuid)` Returns detailed information about an auth role.
    `com.squareup.okhttp.Call` | `readAuthRoleAsync(String uuid, ApiCallback<ApiAuthRole> callback)` Returns detailed information about an auth role.
    `com.squareup.okhttp.Call` | `readAuthRoleCall(String uuid, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readAuthRole
    `ApiAuthRoleList` | `readAuthRoles(String view)` Returns a list of the auth roles configured in the system.
    `com.squareup.okhttp.Call` | `readAuthRolesAsync(String view, ApiCallback<ApiAuthRoleList> callback)` Returns a list of the auth roles configured in the system.
    `com.squareup.okhttp.Call` | `readAuthRolesCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readAuthRoles
    `ApiAuthRoleMetadataList` | `readAuthRolesMetadata(String view)` Returns a list of the auth roles' metadata for the built-in roles.
    `com.squareup.okhttp.Call` | `readAuthRolesMetadataAsync(String view, ApiCallback<ApiAuthRoleMetadataList> callback)` Returns a list of the auth roles' metadata for the built-in roles.
    `com.squareup.okhttp.Call` | `readAuthRolesMetadataCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readAuthRolesMetadata
    `ApiResponse<ApiAuthRoleMetadataList>` | `readAuthRolesMetadataWithHttpInfo(String view)` Returns a list of the auth roles' metadata for the built-in roles.
    `ApiResponse<ApiAuthRoleList>` | `readAuthRolesWithHttpInfo(String view)` Returns a list of the auth roles configured in the system.
    `ApiResponse<ApiAuthRole>` | `readAuthRoleWithHttpInfo(String uuid)` Returns detailed information about an auth role.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiAuthRole` | `updateAuthRole(String uuid, ApiAuthRole body)` Updates the given auth role's information.
    `com.squareup.okhttp.Call` | `updateAuthRoleAsync(String uuid, ApiAuthRole body, ApiCallback<ApiAuthRole> callback)` Updates the given auth role's information.
    `com.squareup.okhttp.Call` | `updateAuthRoleCall(String uuid, ApiAuthRole body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateAuthRole
    `ApiResponse<ApiAuthRole>` | `updateAuthRoleWithHttpInfo(String uuid, ApiAuthRole body)` Updates the given auth role's information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthRolesResourceApi

          public AuthRolesResourceApi()

    - #### AuthRolesResourceApi

          public AuthRolesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createAuthRolesCall

          public com.squareup.okhttp.Call createAuthRolesCall(ApiAuthRoleList body,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for createAuthRoles
      Parameters:
        `body` - List of auth roles to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createAuthRoles

          public ApiAuthRoleList createAuthRoles(ApiAuthRoleList body)
                                          throws ApiException

      Creates a list of auth roles. Creates a list of auth roles.
      Parameters:
        `body` - List of auth roles to create. (optional)
      Returns:
        ApiAuthRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createAuthRolesWithHttpInfo

          public ApiResponse<ApiAuthRoleList> createAuthRolesWithHttpInfo(ApiAuthRoleList body)
                                                                   throws ApiException

      Creates a list of auth roles. Creates a list of auth roles.
      Parameters:
        `body` - List of auth roles to create. (optional)
      Returns:
        ApiResponse<ApiAuthRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createAuthRolesAsync

          public com.squareup.okhttp.Call createAuthRolesAsync(ApiAuthRoleList body,
                                                               ApiCallback<ApiAuthRoleList> callback)
                                                        throws ApiException

      Creates a list of auth roles. (asynchronously) Creates a list of auth roles.
      Parameters:
        `body` - List of auth roles to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteAuthRoleCall

          public com.squareup.okhttp.Call deleteAuthRoleCall(String uuid,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for deleteAuthRole
      Parameters:
        `uuid` - The uuid of the auth role to delete. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteAuthRole

          public ApiAuthRole deleteAuthRole(String uuid)
                                     throws ApiException

      Deletes an auth role from the system. Deletes an auth role from the system. <p/>
      Parameters:
        `uuid` - The uuid of the auth role to delete. (required)
      Returns:
        ApiAuthRole
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAuthRoleWithHttpInfo

          public ApiResponse<ApiAuthRole> deleteAuthRoleWithHttpInfo(String uuid)
                                                              throws ApiException

      Deletes an auth role from the system. Deletes an auth role from the system. <p/>
      Parameters:
        `uuid` - The uuid of the auth role to delete. (required)
      Returns:
        ApiResponse<ApiAuthRole>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAuthRoleAsync

          public com.squareup.okhttp.Call deleteAuthRoleAsync(String uuid,
                                                              ApiCallback<ApiAuthRole> callback)
                                                       throws ApiException

      Deletes an auth role from the system. (asynchronously) Deletes an auth role from the system. <p/>
      Parameters:
        `uuid` - The uuid of the auth role to delete. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readAuthRoleCall

          public com.squareup.okhttp.Call readAuthRoleCall(String uuid,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for readAuthRole
      Parameters:
        `uuid` - The auth role to read. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readAuthRole

          public ApiAuthRole readAuthRole(String uuid)
                                   throws ApiException

      Returns detailed information about an auth role. Returns detailed information about an auth role.
      Parameters:
        `uuid` - The auth role to read. (required)
      Returns:
        ApiAuthRole
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRoleWithHttpInfo

          public ApiResponse<ApiAuthRole> readAuthRoleWithHttpInfo(String uuid)
                                                            throws ApiException

      Returns detailed information about an auth role. Returns detailed information about an auth role.
      Parameters:
        `uuid` - The auth role to read. (required)
      Returns:
        ApiResponse<ApiAuthRole>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRoleAsync

          public com.squareup.okhttp.Call readAuthRoleAsync(String uuid,
                                                            ApiCallback<ApiAuthRole> callback)
                                                     throws ApiException

      Returns detailed information about an auth role. (asynchronously) Returns detailed information about an auth role.
      Parameters:
        `uuid` - The auth role to read. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readAuthRolesCall

          public com.squareup.okhttp.Call readAuthRolesCall(String view,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for readAuthRoles
      Parameters:
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readAuthRoles

          public ApiAuthRoleList readAuthRoles(String view)
                                        throws ApiException

      Returns a list of the auth roles configured in the system. Returns a list of the auth roles configured in the system.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiAuthRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRolesWithHttpInfo

          public ApiResponse<ApiAuthRoleList> readAuthRolesWithHttpInfo(String view)
                                                                 throws ApiException

      Returns a list of the auth roles configured in the system. Returns a list of the auth roles configured in the system.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiAuthRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRolesAsync

          public com.squareup.okhttp.Call readAuthRolesAsync(String view,
                                                             ApiCallback<ApiAuthRoleList> callback)
                                                      throws ApiException

      Returns a list of the auth roles configured in the system. (asynchronously) Returns a list of the auth roles configured in the system.
      Parameters:
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readAuthRolesMetadataCall

          public com.squareup.okhttp.Call readAuthRolesMetadataCall(String view,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for readAuthRolesMetadata
      Parameters:
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readAuthRolesMetadata

          public ApiAuthRoleMetadataList readAuthRolesMetadata(String view)
                                                        throws ApiException

      Returns a list of the auth roles' metadata for the built-in roles. Returns a list of the auth roles' metadata for the built-in roles.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiAuthRoleMetadataList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRolesMetadataWithHttpInfo

          public ApiResponse<ApiAuthRoleMetadataList> readAuthRolesMetadataWithHttpInfo(String view)
                                                                                 throws ApiException

      Returns a list of the auth roles' metadata for the built-in roles. Returns a list of the auth roles' metadata for the built-in roles.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiAuthRoleMetadataList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRolesMetadataAsync

          public com.squareup.okhttp.Call readAuthRolesMetadataAsync(String view,
                                                                     ApiCallback<ApiAuthRoleMetadataList> callback)
                                                              throws ApiException

      Returns a list of the auth roles' metadata for the built-in roles. (asynchronously) Returns a list of the auth roles' metadata for the built-in roles.
      Parameters:
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateAuthRoleCall

          public com.squareup.okhttp.Call updateAuthRoleCall(String uuid,
                                                             ApiAuthRole body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for updateAuthRole
      Parameters:
        `uuid` - Uuid of the auth role being updated. (required)
        `body` - The auth role information. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateAuthRole

          public ApiAuthRole updateAuthRole(String uuid,
                                            ApiAuthRole body)
                                     throws ApiException

      Updates the given auth role's information. Updates the given auth role's information.
      Parameters:
        `uuid` - Uuid of the auth role being updated. (required)
        `body` - The auth role information. (optional)
      Returns:
        ApiAuthRole
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateAuthRoleWithHttpInfo

          public ApiResponse<ApiAuthRole> updateAuthRoleWithHttpInfo(String uuid,
                                                                     ApiAuthRole body)
                                                              throws ApiException

      Updates the given auth role's information. Updates the given auth role's information.
      Parameters:
        `uuid` - Uuid of the auth role being updated. (required)
        `body` - The auth role information. (optional)
      Returns:
        ApiResponse<ApiAuthRole>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateAuthRoleAsync

          public com.squareup.okhttp.Call updateAuthRoleAsync(String uuid,
                                                              ApiAuthRole body,
                                                              ApiCallback<ApiAuthRole> callback)
                                                       throws ApiException

      Updates the given auth role's information. (asynchronously) Updates the given auth role's information.
      Parameters:
        `uuid` - Uuid of the auth role being updated. (required)
        `body` - The auth role information. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.